Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Crossovers/LocalCrossover.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Crossovers/LocalCrossover.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Crossovers/LocalCrossover.cs	(revision 3017)
@@ -33,5 +33,5 @@
   /// </remarks>
   [Item("LocalCrossover", @"The local crossover is similar to the arithmetic all positions crossover, but uses a random alpha for each position x = alpha * p1 + (1-alpha) * p2. It is implemented as described in Dumitrescu, D. et al. (2000), Evolutionary computation, CRC Press, Boca Raton, FL., p. 194.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class LocalCrossover : RealVectorCrossover {
     /// <summary>
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Crossovers/RandomConvexCrossover.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Crossovers/RandomConvexCrossover.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Crossovers/RandomConvexCrossover.cs	(revision 3017)
@@ -33,5 +33,5 @@
   /// </remarks>
   [Item("RandomConvexCrossover", "The random convex crossover acts like the local crossover, but with just one randomly chosen alpha for all crossed positions. It is implementes as described in Dumitrescu, D. et al. (2000), Evolutionary computation, CRC Press, Boca Raton, FL, pp. 193 - 194.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class RandomConvexCrossover : RealVectorCrossover {
     /// <summary>
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Crossovers/SimulatedBinaryCrossover.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Crossovers/SimulatedBinaryCrossover.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Crossovers/SimulatedBinaryCrossover.cs	(revision 3017)
@@ -35,5 +35,5 @@
   /// </remarks>
   [Item("SimulatedBinaryCrossover", "The simulated binary crossover (SBX) is implemented as described in Deb, K. and Agrawal, R. B. 1995. Simulated binary crossover for continuous search space. Complex Systems, 9, pp. 115-148.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class SimulatedBinaryCrossover : RealVectorCrossover {
     /// <summary>
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Crossovers/SinglePointCrossover.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Crossovers/SinglePointCrossover.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Crossovers/SinglePointCrossover.cs	(revision 3017)
@@ -35,5 +35,5 @@
   /// </remarks>
   [Item("SinglePointCrossover", "Breaks both parent chromosomes at a randomly chosen point and assembles a child by taking one part of the first parent and the other part of the second pard. It is implemented as described in Michalewicz, Z. 1999. Genetic Algorithms + Data Structures = Evolution Programs. Third, Revised and Extended Edition, Spring-Verlag Berlin Heidelberg.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class SinglePointCrossover : RealVectorCrossover {
     /// <summary>
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Crossovers/UniformAllPositionsArithmeticCrossover.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Crossovers/UniformAllPositionsArithmeticCrossover.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Crossovers/UniformAllPositionsArithmeticCrossover.cs	(revision 3017)
@@ -35,5 +35,5 @@
   /// </remarks>
   [Item("UniformAllPositionsArithmeticCrossover", "The uniform all positions arithmetic crossover constructs an offspring by calculating x = alpha * p1 + (1-alpha) * p2 for every position x in the vector. Note that for alpha = 0.5 it is the same as the AverageCrossover. It is implemented as described in Michalewicz, Z. 1999. Genetic Algorithms + Data Structures = Evolution Programs. Third, Revised and Extended Edition, Spring-Verlag Berlin Heidelberg.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class UniformAllPositionsArithmeticCrossover : RealVectorCrossover {
     /// <summary>
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Crossovers/UniformSomePositionsArithmeticCrossover.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Crossovers/UniformSomePositionsArithmeticCrossover.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Crossovers/UniformSomePositionsArithmeticCrossover.cs	(revision 3017)
@@ -35,5 +35,5 @@
   /// </remarks>
   [Item("UniformSomePositionsArithmeticCrossover", "The uniform some positions arithmetic crossover (continuous recombination) constructs an offspring by calculating x = alpha * p1 + (1-alpha) * p2 for a position x in the vector with a given probability (otherwise p1 is taken at this position). It is implemented as described in Dumitrescu, D. et al. (2000), Evolutionary computation, CRC Press, Boca Raton, FL, p. 191. Note that Dumitrescu et al. specify the alpha to be 0.5.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class UniformSomePositionsArithmeticCrossover : RealVectorCrossover {
     /// <summary>
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/BreederGeneticAlgorithmManipulator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/BreederGeneticAlgorithmManipulator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/BreederGeneticAlgorithmManipulator.cs	(revision 3017)
@@ -35,5 +35,5 @@
   /// </remarks>
   [Item("BreederGeneticAlgorithmManipulator", "It is implemented as described by Mühlenbein, H. and Schlierkamp-Voosen, D. 1993. Predictive Models for the Breeder Genetic Algorithm - I. Continuous Parameter Optimization. Evolutionary Computation, 1(1), pp. 25-49.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class BreederGeneticAlgorithmManipulator : RealVectorManipulator {
     private static readonly double[] powerOfTwo = new double[] { 1, 0.5, 0.25, 0.125, 0.0625, 0.03125, 0.015625, 0.0078125, 0.00390625, 0.001953125, 0.0009765625, 0.00048828125, 0.000244140625, 0.0001220703125, 0.00006103515625, 0.000030517578125 };
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/MichalewiczNonUniformAllPositionsManipulator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/MichalewiczNonUniformAllPositionsManipulator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/MichalewiczNonUniformAllPositionsManipulator.cs	(revision 3017)
@@ -35,5 +35,5 @@
   /// </remarks>
   [Item("MichalewiczNonUniformOnePositionManipulator", "It is implemented as described in Michalewicz, Z. 1999. Genetic Algorithms + Data Structures = Evolution Programs. Third, Revised and Extended Edition, Spring-Verlag Berlin Heidelberg.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class MichalewiczNonUniformAllPositionsManipulator : RealVectorManipulator {
     /// <summary>
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/MichalewiczNonUniformOnePositionManipulator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/MichalewiczNonUniformOnePositionManipulator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/MichalewiczNonUniformOnePositionManipulator.cs	(revision 3017)
@@ -35,5 +35,5 @@
   /// </remarks>
   [Item("MichalewiczNonUniformOnePositionManipulator", "It is implemented as described in Michalewicz, Z. 1999. Genetic Algorithms + Data Structures = Evolution Programs. Third, Revised and Extended Edition, Spring-Verlag Berlin Heidelberg.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class MichalewiczNonUniformOnePositionManipulator : RealVectorManipulator {
     /// <summary>
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/PolynomialAllPositionManipulator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/PolynomialAllPositionManipulator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/PolynomialAllPositionManipulator.cs	(revision 3017)
@@ -35,5 +35,5 @@
   /// </remarks>
   [Item("PolynomialAllPositionManipulator", "The polynomial manipulation is implemented as described in Deb, K. & Goyal, M. A. 1996. Combined Genetic Adaptive Search (GeneAS) for Engineering Design Computer Science and Informatics, 26, pp. 30-45. In this operator it is performed on all positions of the real vector.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class PolynomialAllPositionManipulator : RealVectorManipulator {
     /// <summary>
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/PolynomialOnePositionManipulator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/PolynomialOnePositionManipulator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/PolynomialOnePositionManipulator.cs	(revision 3017)
@@ -34,5 +34,5 @@
   /// </remarks>
   [Item("PolynomialOnePositionManipulator", "The polynomial manipulation is implemented as described in Deb, K. & Goyal, M. A. 1996. Combined Genetic Adaptive Search (GeneAS) for Engineering Design Computer Science and Informatics, 26, pp. 30-45. In this operator it is performed on a single randomly chosen position of the real vector.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class PolynomialOnePositionManipulator : RealVectorManipulator {
     /// <summary>
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/SelfAdaptiveNormalAllPositionsManipulator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/SelfAdaptiveNormalAllPositionsManipulator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/SelfAdaptiveNormalAllPositionsManipulator.cs	(revision 3017)
@@ -37,5 +37,5 @@
   /// </remarks>
   [Item("SelfAdaptiveNormalAllPositionsManipulator", "This manipulation operator adds a value sigma_i * N(0,1) to the current value in each position i. The values for sigma_i are taken from the strategy vector. It is implemented as described in Beyer, H.-G. and Schwefel, H.-P. 2002. Evolution Strategies - A Comprehensive Introduction Natural Computing, 1, pp. 3-52.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class SelfAdaptiveNormalAllPositionsManipulator : RealVectorManipulator {
     /// <summary>
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/UniformOnePositionManipulator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/UniformOnePositionManipulator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/Manipulators/UniformOnePositionManipulator.cs	(revision 3017)
@@ -34,5 +34,5 @@
   /// </remarks>
   [Item("UniformOnePositionManipulator", "Changes a single position in the vector by sampling uniformly from the interval [Minimum, Maximum). It is implemented as described in Michalewicz, Z. 1999. Genetic Algorithms + Data Structures = Evolution Programs. Third, Revised and Extended Edition, Spring-Verlag Berlin Heidelberg.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class UniformOnePositionManipulator : RealVectorManipulator {
     /// <summary>
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/RealVectorCreator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/RealVectorCreator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/RealVectorCreator.cs	(revision 3017)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("RealVectorCreator", "A base class for operators creating real-valued vectors.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public abstract class RealVectorCreator : SingleSuccessorOperator, IRealVectorCreator, IStochasticOperator {
     public ILookupParameter<IRandom> RandomParameter {
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/RealVectorCrossover.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/RealVectorCrossover.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/RealVectorCrossover.cs	(revision 3017)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("RealVectorCrossover", "A base class for operators that perform a crossover of real-valued vectors.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public abstract class RealVectorCrossover : SingleSuccessorOperator, IRealVectorCrossover, IStochasticOperator {
     public ILookupParameter<IRandom> RandomParameter {
Index: trunk/sources/HeuristicLab.Encodings.RealVector/3.3/RealVectorManipulator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.RealVector/3.3/RealVectorManipulator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Encodings.RealVector/3.3/RealVectorManipulator.cs	(revision 3017)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("RealVectorManipulator", "A base class for operators that manipulate real-valued vectors.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public abstract class RealVectorManipulator : SingleSuccessorOperator, IRealVectorManipulator, IStochasticOperator {
     public ILookupParameter<IRandom> RandomParameter {
Index: trunk/sources/HeuristicLab.Evolutionary/3.3/ChildrenCreator.cs
===================================================================
--- trunk/sources/HeuristicLab.Evolutionary/3.3/ChildrenCreator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Evolutionary/3.3/ChildrenCreator.cs	(revision 3017)
@@ -37,5 +37,5 @@
   /// </remarks>
   [Item("ChildrenCreator", "An operator which is used to prepare crossover. The sub-scopes of the current scope the operator is applied on represent the parents. The operator creates new and empty scopes for each child, adds the scopes that represent the child's parents as sub-scopes to the child and adds the child as sub-scope to the current scope.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Creatable("Test")]
   public sealed class ChildrenCreator : SingleSuccessorOperator {
Index: trunk/sources/HeuristicLab.Evolutionary/3.3/PopulationCreator.cs
===================================================================
--- trunk/sources/HeuristicLab.Evolutionary/3.3/PopulationCreator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Evolutionary/3.3/PopulationCreator.cs	(revision 3017)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("PopulationCreator", "An operator which creates a new population of solutions.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Creatable("Test")]
   public sealed class PopulationCreator : SingleSuccessorOperator {
Index: trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperator.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperator.cs	(revision 3017)
@@ -43,5 +43,5 @@
   [Item("ProgrammableOperator", "An operator that can be programmed for arbitrary needs.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.MarkedOnly)]  
+  [StorableClass]  
   public class ProgrammableOperator : Operator, IParameterizedNamedItem {
 
Index: trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/BidirectionalLookup.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/BidirectionalLookup.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/BidirectionalLookup.cs	(revision 3017)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public class BidirectionalLookup<TFirst, TSecond> {
     [Storable]
Index: trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/GraphVisualizationInfo.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/GraphVisualizationInfo.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/GraphVisualizationInfo.cs	(revision 3017)
@@ -31,5 +31,5 @@
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public sealed class GraphVisualizationInfo : DeepCloneable {
     private BidirectionalLookup<IOperator, IOperatorShapeInfo> operatorShapeInfoMapping;
Index: trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/OperatorShapeInfo.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/OperatorShapeInfo.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/OperatorShapeInfo.cs	(revision 3017)
@@ -31,5 +31,5 @@
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   internal class OperatorShapeInfo : ShapeInfo, IOperatorShapeInfo {
     [Storable]
Index: trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/ShapeInfo.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/ShapeInfo.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/Model/ShapeInfo.cs	(revision 3017)
@@ -31,5 +31,5 @@
 
 namespace HeuristicLab.Operators.Views.GraphVisualization {
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   internal abstract class ShapeInfo : DeepCloneable, IShapeInfo {
     private ShapeInfo() {
Index: trunk/sources/HeuristicLab.Operators/3.3/AlgorithmOperator.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/AlgorithmOperator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators/3.3/AlgorithmOperator.cs	(revision 3017)
@@ -29,5 +29,5 @@
   /// </summary>
   [Item("AlgorithmOperator", "An operator which represents an algorithm represented as an operator graph.")]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public abstract class AlgorithmOperator : SingleSuccessorOperator {
     public override Image ItemImage {
Index: trunk/sources/HeuristicLab.Operators/3.3/Assigner.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/Assigner.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators/3.3/Assigner.cs	(revision 3017)
@@ -29,5 +29,5 @@
   /// </summary>
   [Item("Assigner", "An operator which clones and assigns the value of one parameter to another parameter.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Creatable("Test")]
   public sealed class Assigner : SingleSuccessorOperator {
Index: trunk/sources/HeuristicLab.Operators/3.3/CombinedOperator.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/CombinedOperator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators/3.3/CombinedOperator.cs	(revision 3017)
@@ -30,5 +30,5 @@
   [Item("CombinedOperator", "An operator which contains an operator graph.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public sealed class CombinedOperator : AlgorithmOperator, IParameterizedItem {
     public new ParameterCollection Parameters {
Index: trunk/sources/HeuristicLab.Operators/3.3/Comparator.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/Comparator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators/3.3/Comparator.cs	(revision 3017)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("Comparator", "An operator which compares two items.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Creatable("Test")]
   public sealed class Comparator : SingleSuccessorOperator {
Index: trunk/sources/HeuristicLab.Operators/3.3/ConditionalBranch.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/ConditionalBranch.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators/3.3/ConditionalBranch.cs	(revision 3017)
@@ -31,5 +31,5 @@
   [Item("ConditionalBranch", "A branch of two operators whose executions depend on a boolean condition.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class ConditionalBranch : SingleSuccessorOperator {
     public LookupParameter<BoolData> ConditionParameter {
Index: trunk/sources/HeuristicLab.Operators/3.3/DoubleCounter.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/DoubleCounter.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators/3.3/DoubleCounter.cs	(revision 3017)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("DoubleCounter", "An operator which increments a double variable.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Creatable("Test")]
   public sealed class DoubleCounter : SingleSuccessorOperator {
Index: trunk/sources/HeuristicLab.Operators/3.3/EmptyOperator.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/EmptyOperator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators/3.3/EmptyOperator.cs	(revision 3017)
@@ -29,5 +29,5 @@
   [Item("EmptyOperator", "An operator which represents an empty statement.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public sealed class EmptyOperator : SingleSuccessorOperator {
     public EmptyOperator()
Index: trunk/sources/HeuristicLab.Operators/3.3/IntCounter.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/IntCounter.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators/3.3/IntCounter.cs	(revision 3017)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("IntCounter", "An operator which increments an integer variable.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Creatable("Test")]
   public sealed class IntCounter : SingleSuccessorOperator {
Index: trunk/sources/HeuristicLab.Operators/3.3/MultipleCallsOperator.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/MultipleCallsOperator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators/3.3/MultipleCallsOperator.cs	(revision 3017)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("MultipleCallsOperator", "A base class for operators which apply multiple user-defined operators.")]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public abstract class MultipleCallsOperator : SingleSuccessorOperator {
     protected IValueParameter<IOperator>[] OperatorParameters {
Index: trunk/sources/HeuristicLab.Operators/3.3/Operator.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/Operator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators/3.3/Operator.cs	(revision 3017)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("Operator", "Base class for operators.")]
-  [StorableClass(StorableClassType.MarkedOnly)]
+  [StorableClass]
   public abstract class Operator : ParameterizedNamedItem, IOperator {
     public override Image ItemImage {
Index: trunk/sources/HeuristicLab.Operators/3.3/ParallelSubScopesProcessor.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/ParallelSubScopesProcessor.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators/3.3/ParallelSubScopesProcessor.cs	(revision 3017)
@@ -29,5 +29,5 @@
   [Item("ParallelSubScopesProcessor", "An operator which contains multiple operators of which each is applied in parallel on one sub-scope of the current scope. The first operator is applied on the first sub-scope, the second on the second, and so on.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public sealed class ParallelSubScopesProcessor : MultipleCallsOperator {
     public ParallelSubScopesProcessor()
Index: trunk/sources/HeuristicLab.Operators/3.3/Placeholder.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/Placeholder.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators/3.3/Placeholder.cs	(revision 3017)
@@ -30,5 +30,5 @@
   [Item("Placeholder", "An operator which acts as a placeholder for another operator retrieved from the scope or a parent execution context.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public sealed class Placeholder : SingleSuccessorOperator {
     public LookupParameter<IOperator> OperatorParameter {
Index: trunk/sources/HeuristicLab.Operators/3.3/ResultsCollector.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/ResultsCollector.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators/3.3/ResultsCollector.cs	(revision 3017)
@@ -30,5 +30,5 @@
   [Item("ResultsCollector", "An operator which collects the actual values of parameters and adds them to a collection of variables.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class ResultsCollector : ValuesCollector {
     public ValueLookupParameter<VariableCollection> ResultsParameter {
Index: trunk/sources/HeuristicLab.Operators/3.3/ScopeCleaner.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/ScopeCleaner.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators/3.3/ScopeCleaner.cs	(revision 3017)
@@ -29,5 +29,5 @@
   /// </summary>
   [Item("ScopeCleaner", "An operator which removes all variables and sub-scopes from the current scope.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Creatable("Test")]
   public sealed class ScopeCleaner : SingleSuccessorOperator {
Index: trunk/sources/HeuristicLab.Operators/3.3/SequentialSubScopesProcessor.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/SequentialSubScopesProcessor.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators/3.3/SequentialSubScopesProcessor.cs	(revision 3017)
@@ -29,5 +29,5 @@
   [Item("SequentialSubScopesProcessor", "An operator which contains multiple operators of which each is applied sequentially on one sub-scope of the current scope. The first operator is applied on the first sub-scope, the second on the second, and so on.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public sealed class SequentialSubScopesProcessor : MultipleCallsOperator {
     public SequentialSubScopesProcessor()
Index: trunk/sources/HeuristicLab.Operators/3.3/SingleSuccessorOperator.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/SingleSuccessorOperator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators/3.3/SingleSuccessorOperator.cs	(revision 3017)
@@ -30,5 +30,5 @@
   [Item("SingleSuccessorOperator", "A base class for operators which have only one successor.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public abstract class SingleSuccessorOperator : Operator {
     protected OperatorParameter SuccessorParameter {
Index: trunk/sources/HeuristicLab.Operators/3.3/StochasticBranch.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/StochasticBranch.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators/3.3/StochasticBranch.cs	(revision 3017)
@@ -31,5 +31,5 @@
   [Item("StochasticBranch", "A branch of two operators which are executed with a specified probability.")]
   [Creatable("Test")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   public class StochasticBranch : SingleSuccessorOperator {
     public LookupParameter<IRandom> RandomParameter {
Index: trunk/sources/HeuristicLab.Operators/3.3/SubScopesCreator.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/SubScopesCreator.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators/3.3/SubScopesCreator.cs	(revision 3017)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("SubScopesCreator", "An operator which adds new and empty sub-scopes to the current scope.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Creatable("Test")]
   public class SubScopesCreator : SingleSuccessorOperator {
Index: trunk/sources/HeuristicLab.Operators/3.3/SubScopesRemover.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/SubScopesRemover.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators/3.3/SubScopesRemover.cs	(revision 3017)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("SubScopesRemover", "An operator which removes all sub-scopes or one specified sub-scope from the current scope.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Creatable("Test")]
   public sealed class SubScopesRemover : SingleSuccessorOperator {
Index: trunk/sources/HeuristicLab.Operators/3.3/SubScopesSorter.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/SubScopesSorter.cs	(revision 3016)
+++ trunk/sources/HeuristicLab.Operators/3.3/SubScopesSorter.cs	(revision 3017)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("SubScopesSorter", "An operator which sorts the sub-scopes of the current scope.")]
-  [StorableClass(StorableClassType.Empty)]
+  [StorableClass]
   [Creatable("Test")]
   public sealed class SubScopesSorter : SingleSuccessorOperator {
